Aktualisierungen für opsi 4.1 Stable & Testing

Neuigkeiten und Ankündigungen
Benutzeravatar
ueluekmen
uib-Team
Beiträge: 1889
Registriert: 28 Mai 2008, 10:53

Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon ueluekmen » 28 Mai 2019, 17:33

Sehr geehrte opsi-Anwenderinnen und -Anwender,

es wurden Updates für opsi 4.1 in Stable & Testing veröffentlicht.

Folgende allgemeine Informationen zu diesem Release:

Im Zuge des Releases zu opsi-script 4.12.1 wurde auch die Dokumentation hierfür aktualisiert.

Weiterhin wird hiermit der Support Für Windows 10 (1903) offiziell als Testing unterstützt. Um die neue Windows 10 Version zu verteilen, werden die enstprechenden Netbootpakete aus Testing benötigt.

Bei dem swaudit-Update bitte beachten: Bei Verwendung des Lizenzmanagement sind ggfs häufiger Anpassungen nötig bei der Zuordnung der Invenatrisierungsdaten zu Windows 10 Pools.

jedit: Das neue Paket unterstützt sowohl Windows als auch Linux und ersetzt damit auch das Paket l-jedit.

Viele Grüße
E. Ueluekmen

Aktualisierte Pakete in Stable:

Server-Pakete opsi 4.1:

* opsi-utils (4.1.1.32-1)
* pyhon-opsi (4.1.1.65-1)
* opsi-nagios-plugins (4.1.1.5-1)
* opsi-script (4.12.0.35)

Linux Localboot Pakete:

* l-desktop (4.1.0.5-1)
* l-opsi-server (4.1.1.10-5)

Windows Localboot Pakete:

* opsi-script-test (4.12.1.0-1)
* opsi-template-with-admin (4.1.0.0-2)
* opsi-client-agent (4.1.1.0-29)

Windows/Linux Localboot Pakete:
* swaudit (4.1.0.0-3)
* jedit (5.5.0-6)
* opsi-winst (4.12.1.2-1)
* opsi-configed (4.1.2.0.4-1)

Aktualisierte Pakete in Testing:

Server Pakete opsi 4.1:

* opsi-utils (4.1.1.32-2)
* pyhon-opsi (4.1.1.66-1)
* opsi-linux-bootimage 20190522-1
* opsi-script (4.12.1.2)

Windows Localboot Pakete:

* opsi-client-agent (4.1.0.0-29)
* config-win10 (4.1.1-6)

Linux Localboot Pakete:

* opsi-linux-client-agent (4.1.0.17-1)

Linux Netboot Pakete:

* ubuntu16-04 (4.1.0.1-3)
* debian9 (4.1.0.2-5)

opsi-local-image Localboot Pakete:

* win10-sysprep-app-update-blocker (4.1.0.0-1)


Windows Netboot Produkte:

* win10 (4.1.1.0-16)
* win10-x64 (4.1.1.0-16)
* win10-captured (4.1.1.0-16)
* win10-x64-captured (4.1.1.0-16)

opsi-local-image Netboot Produkte:

* opsi-local-image-win10 4.1.0.0-16
* opsi-local-image-win10-capture 4.1.0.0-16
* opsi-local-image-win10-x64 4.1.0.0-16
* opsi-local-image-win10-x64-capture 4.1.0.0-16
* opsi-vhd-win10-x64 4.1.0.0-16


Windows Localboot Pakete:

* opsi-winst 4.12.1.2-1
* opsi-script-test 4.12.1.0-1

* opsi-template-with-admin 4.1.0.0-2
* jedit 5.5.0-6
* swaudit 4.1.0.0-3
* windows10-upgrade 19.03-1
* opsi-client-agent 4.1.0.0-28


Changelogs:

opsi-utils (4.1.1.32-2) stable; urgency=medium

* RPM: Change access rights for logrotate configs to 644.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 17 May 2019 13:41:05 +0200

opsi-utils (4.1.1.32-1) stable; urgency=medium

* opsi-newprod: Fix naming interpreter in shebang line in templates for
preinst and postinst.

-- Niko Wenselowski <n.wenselowski@uib.de> Tue, 30 Apr 2019 13:33:16 +0200

=============================================================================

python-opsi (4.1.1.66-1) stable; urgency=medium

* OPSI.Backend.Backend: Only import MethodType from types.
* OPSI.System.Windows.execute: refactored showing output lines.
* 10_opsi.conf: setProductActionRequestWithDependencies small refactoring.
* OPSI.SharedAlgorithm: Adjusted loglevel for cases where unfulfillable
requirements are requested to make problems easier to spot.
* OPSI.Backend.JSONRPC.JSONRPCBackend: Defaults ports are now class
variables instead of instance variables.

-- Niko Wenselowski <n.wenselowski@uib.de> Tue, 14 May 2019 15:42:58 +0200

python-opsi (4.1.1.65-1) stable; urgency=medium

* Using thread.is_alive instead of thread.isAlive because the latter will
be removed in Python 3.8.
* hwaudit.conf: Change field for extClock from int to bigint.
* OPSI.Util.File.Opsi: Internal refactorings.
* OPSI.Util.Task.Backup: Internal refactorings.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 03 May 2019 14:26:59 +0200

=============================================================================

opsi-nagios-plugins (4.1.1.5-1) stable; urgency=medium

* Setting an User-Agent in our HTTP headers.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 24 Apr 2019 11:57:11 +0200

opsi-nagios-plugins (4.1.1.4-3) stable; urgency=medium

* Fixed Typo.

-- Thomas Trapp <t.trapp@uib.de> Thu, 24 Apr 2019 10:48:45 +0100

=============================================================================

opsi-script (4.12.0.35) stable; urgency=low

* osparser: producestringlist: getsublist: with whitespaces around numbers

-- Detlef Oertel <d.oertel@uib.de> Tue, 15 Jan 2019 15:00:00 +0200

opsi-script (4.12.0.34) stable; urgency=low

* osparser: producestringlist: getsublist: with string expression instead of numbers
* osparser: producestringlist: createstringlist: fix: empty strings as argument allowed

-- Detlef Oertel <d.oertel@uib.de> Thu, 10 Jan 2019 15:00:00 +0200

opsi-script (4.12.0.33) stable; urgency=low

* postinst: create config opsi-script.global.w10BitlockerSuspendOnReboot=false
* osconf: new config opsi-script.global.w10BitlockerSuspendOnReboot
* osconf: new global config variable: w10BitlockerSuspendOnReboot (default= false)
* osmain: buildPC: >=win 10 and w10BitlockerSuspendOnReboot and (txrImmediateReboot or txrImmediateReboot)
then suspend bitlocker for 1 reboot fixes: #3816
* new units oswmi, utilwmi
* osparser: producestringlist:
new function getListFromWMI(<wmi class str>,<property list>,<condition str>) : stringlist
example: set $plist$ = createStringList ('Model','Vendor')
set $list$ = getListFromWMI('Win32_ComputerSystem',$plist$,'where model like Esprimo%')
if <property list> is empty all properties of <wmi class str> will be returned
on error a empty list will be returned

-- Detlef Oertel <d.oertel@uib.de> Mon, 17 12 2018:15:00:00 +0200

opsi-script (4.12.0.32) stable; urgency=low

* osconf: no more OpsiServiceConfigs: in log

-- Detlef Oertel <d.oertel@uib.de> Thu, 25 10 2018:15:00:00 +0200

=============================================================================

opsi-winst/opsi-script (4.12.1.2) stable; urgency=low

* add oslistedit to projectfiles
* fixes in oslistedit
* add osinputstring
* add new string function stringinput(< message str>,< boolstr confidential>)
* document randomIntStr(<>)
* fix on gettemppath

-- Detlef Oertel <d.oertel@uib.de> Fri, 12 Apr 2019:15:00:00 +0200

opsi-winst/opsi-script (4.12.1.1) stable; urgency=low

* fix in oswmi (give stringlist as stringlist)

-- Detlef Oertel <d.oertel@uib.de> Thu, 04 04 2019:15:00:00 +0200

opsi-winst/opsi-script (4.12.1.0) experimental; urgency=low

* integration of new xml functions:
* new units in common: osxml, osxmltdom, osxmlsections
* new section type xml2
* osparser: Tuibinstscript: new method doxml2patch:
* OpenNode <node path : string>
* DeleteNode <node path : string>
* setNodeText <text : string>
* setAttribute <name : string>, <value:string>
* addAttribute <name : string>, <value:string>
* delAttribute <name : string>
* adNewNode <name : string>
* gotoParentNode
* getXml2AttributeValueByKey(<xml node:stringlist>,<key:string>): string
* getXml2Text(<xml node:stringlist>) : string
* getXml2DocumentFromFile(<filename:string>) : <xml-doc:stringlist>
* getXml2Document(<pure xml :stringlist>) : <xml-doc:stringlist>
* getXml2UniqueChildnodeByName
* xml2GetFirstChildNodeByName(<xml-doc:stringlist>,<node name:string>) : <xml node:stringlist>
* xml2NodeExistsByPathInXMLFile(myfilename, path: string; attributes_strict: boolean): boolean;

* new regex functions:
* isRegexMatch(<string>, <pattern>) : boolean
* getSubListByContainingRegex(<pattern>, <target list>) : stringlist
* getSubListByContainingRegex(<pattern list>, <target list>) : stringlist
* getRegexMatchList(<pattern>, <target list>) : stringlist
* getRegexMatchList(<pattern list>, <target list>) : stringlist
* removeFromListByContainingRegex(<pattern>, <target list>) : stringlist
* removeFromListByContainingRegex(<pattern list>, <target list>) : stringlist
* stringReplaceRegex(<string>, <pattern>, <replacement string>) : string
* stringReplaceRegexInList(<target list>, <pattern>, <replacement string>) : stringlist

* new network functions
* isValidIP4 (<ip4adr>) : boolean
* isValidIP4Network (<ip4adr>, <netmask>) : boolean
* isValidIP4Host (<ip4adr>, <netmask>) : boolean
* getIP4NetworkByAdrAndMask (<ip4adr>, <netmask>) : string
* getDefaultNetmaskByIP4adr (<ip4adr>) : string

* new url related functions
* parseUrl(<url string>) : stringlist
* createUrl(<urlcomponents list>) : string

* macos related:
* getos detect macos as 'macos'
* osparser: new function GetMacosVersionInfo : string
* osparser: new function getMacosVersionMap : stringlist

* misc:
* ExtractFileExtension (`<path>`) : string [W/L]
* ExtractFileName (`<path>`) : string [W/L]
* DirectoryExists (`path`[,<accessstr>]) : boolean [W/L]

* osparser: new (undocumented) command 'setDebug_prog = (true/false)'
* osshowsysinfo: caption is Systeminfo (instead of SystemInfo)
* reencode(paramstr(0),'system')
* remove some svn entries
* replace unit osxbase64 by fpc unit base64
* Release now compiled with activated Checks for IO, Range, Overflow and Stack
* unit oscrypt with {$RANGECHECKS OFF}
* osparserhelper: fix in geouterfunction
* osdefinedfunction: isvisiblelocalvar: serach optimization
* osfunc: checkfileexists: use widechsr/utf16 for filenames
* osparserhelper: new function stringlistintersection (get stringlist intersection)
* new cli parameter /processproducts productId [,productId ]*
* added unit oszip
* osparser: fileActionsMain: zipfile, unzipfile
* new in file sections: zipfile <file or dir> <zipfile>
* new in file sections: unzipfile <zipfile> <targetdir>
* osparser: fix in Hasminimumspace
* osparser: fix searchpath from %opsiScriptHelperPath% to %opsiScriptHelperPath%\lib; fixes #3975
* osparser: producestringlist: createstringlist: fix: empty strings as argument allowed
and createstringlist() gives empty list

* osparser: modified : getListFromWMI
* `getListFromWMI(`<wmi namespace str>,<wmi class str>,<property list>,<condition str>`) : stringlist`
* If <wmi namespace str> is empty, it defaults to `root\cimv2`.


-- Detlef Oertel <d.oertel@uib.de> Wed, 23 01 2019:15:00:00 +0200

=============================================================================

opsi-configed 4.1.2.0.4

Changelogs

* bugfix in UserRoles, (not) allowed clients did not reappear

* new option "ignore ping answer" for opsi-deploy-client-agent call

* new option "use sudo" for opsi-deploy-client-agent call

* removed opsi 3 value for installation_status in the search function

=============================================================================

opsi-linux-bootimage (20190522-1) testing; urgency=medium

* setting variable isWifi when connected to WiFi network

-- Mathias Radtke m.radtke@uib.de Wed, 22 May 2019 11:06:43 +0200

opsi-linux-bootimage (20190520-1) testing; urgency=medium

* added Intel, Broadcom and Realtek wifi drivers
* added Wifi fallback if ssid and password definded in bootimage.append
parameters

-- Mathias Radtke m.radtke@uib.de Mon, 20 May 2019 14:21:59 +0200

opsi-linux-bootimage (20190507-1) testing; urgency=medium

* kernel 5.0.13
* config files not overwritten
* python-opsi_4.1.1.62-1

-- Mathias Radtke m.radtke@uib.de Tue, 07 May 2019 08:20:25 +0200

opsi-linux-bootimage (20190325-2) testing; urgency=medium

* changed dependencies

-- Mathias Radtke m.radtke@uib.de Thu, 04 Apr 2019 10:33:51 +0200

opsi-linux-bootimage (20190325-1) testing; urgency=medium

* kernel 4.20.17

-- Mathias Radtke m.radtke@uib.de Thu, 04 Apr 2019 10:10:03 +0200

=============================================================================

l-desktop 4.1.0.5-1 ; stable ; urgency=low

* Debian / Ubuntu: myspell has been replaced by hunspell.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 11 Apr 2019 18:22:25 +0100

l-desktop 4.1.0.4-1 ; stable ; urgency=low

* Further improve handling for English translation packages.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 11 Apr 2019 18:12:25 +0100

l-desktop 4.1.0.3-1 ; stable ; urgency=low

* Improve handling for english libreoffice help packages under Debian / Ubuntu.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 11 Apr 2019 17:56:25 +0100

=============================================================================

l-opsi-server (4.1.1.10-5); stable; urgency=low

* opsi 4.1: Do not abort on UCS 4.3.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 12 Apr 2019 14:59:10 +0100

l-opsi-server (4.1.1.10-4); stable; urgency=low

* opsi 4.1: Fix UCS repo selection for UCS 4.4.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 12 Apr 2019 13:45:13 +0100

l-opsi-server (4.1.1.10-3); stable; urgency=low

* Remove support for UCS 4.2 in opsi 4.1 and fix support for UCS 4.4.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 12 Apr 2019 13:25:29 +0100

l-opsi-server (4.1.1.10-2); stable; urgency=low

* 4.1: UCS 4.4; corrected typos

-- Mathias Radtke <m.radtke@uib.de> Fri, 12 Apr 2019 11:00:00 +0100

l-opsi-server (4.1.1.10-1); stable; urgency=low

* 4.1: UCS 4.4 support added

-- Mathias Radtke <m.radtke@uib.de> Wed, 03 Apr 2019 11:00:00 +0100

l-opsi-server (4.1.1.9-7); stable; urgency=low

* 4.1: added apt-get option to keep old config instead of asking

-- Mathias Radtke <m.radtke@uib.de> Wed, 20 Mar 2019 14:30:00 +0100

=============================================================================

opsi-script-test (4.12.1.0-1) stable; urgency=low

* macos tests
* recursive local functions 4.12.0.36
* fixes for linux
* urlparser
* xml2
* regex
* netcalc
* DirectoryExists
* ExtractFileName
* ExtractFileExtension
* filestest now in subscript
* changes for license test (opsi-script-test)
* wmitest
* todo: adapt licenesdb for changes for license test (opsi-script-test)

-- detlef oertel <d.oertel@uib.de> Thu, 24 Jan 2019 15:00:00 +0200

=============================================================================

opsi-template-with-admin (4.1.0.0-2) stable; urgency=low

* fixed shell shebang in preinst and postinst
* changelog now in changelog.txt

-- detlef oertel <d.oertel@uib.de> Tue, 30 Apr 2019 15:00:00 +0000

=============================================================================

opsi-client-agent (4.1.0.0-29) stable; urgency=low

* opsi-script 4.12.1.2

-- Detlef Oertel <d.oertel@uib.de> Fri, 26 Apr 2019:15:00:00 +0200

opsi-client-agent (4.1.0.0-28) stable; urgency=low

* opsiclientd 4.0.96

-- Erol Ueluekmen <e.ueluekmen@uib.de> Thu, 18 Apr 2019:01:44:00 +0200

opsi-client-agent (4.1.0.0-27) stable; urgency=low

* opsiclientd 4.0.95
* fixed opsi-deploy-client-agent

-- Detlef Oertel <d.oertel@uib.de> Thu, 17 Jan 2019:15:00:00 +0200

=============================================================================

swaudit (4.1.0.0-3) stable; urgency=low
* new product property win10subversion
values: ["win10osbuild", "hklmproductid"]
default: ["hklmproductid"]
hklmproductid show begin of HKLM\Software\Mscrosoft\Windows NT\CurrentVersion] ProductId" for example 00330-71317
win10osbuild shows OS Build as found on https://docs.microsoft.com/en-us/window ... nformation on on Win10 , Win 2016 , Win2019 from HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion", "CurrentBuild" and HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion", "UBR"

-- bardo wolf <b.wolf@uib.de> Mon, 01 Apr 2019 12:26:01 +0100

=============================================================================

jedit_5.5.0-6 stable; urgency=low

* -reuseview

-- b.wolf <b.wolf@uib.de> Tue, 16 Apr 2019

jedit_5.5.0-5 stable; urgency=low

* use generic launcher for startup instead of jedit.bat

-- b.wolf <b.wolf@uib.de> Tue, 09 Apr 2019

jedit_5.5.0-4 stable; urgency=low

* java version changed since avast blocked the java.exe

-- r.roeder <r.roeder@uib.de> Tue, 26 Feb 2019

jedit_5.5.0-3 stable; urgency=low

* use jar-Installer on windows bundled with sapmachine 11.0.2 x64, jre 8u202 Oracle
* use jedit.bat for start on windows
* merge l-jedit with jedit
* removed properties gui_language,start_server
* on ubuntu bionic and cosmic : use deb-package

-- b.wolf <b.wolf@uib.de> Tue, 30 Jan 2019

jedit_5.5.0-2 stable; urgency=low

* fixes failed install with openjdk

-- r.roeder <r.roeder@uib.de> Tue, 18 Dec 2018 15:00:00 + 0100

=============================================================================

config-win10 (4.1.1-6);. stable; urgency=low

* removing key SetDisableUXWAccess when enabling updates
* new property: no_new_app_install_notification

-- Mathias Radtke <m.radtke@uib.de> Tue, 07 May 2018 10:41:00 +0200

=============================================================================

opsi-linux-client-agent (4.1.0.17-1) stable; urgency=medium

* update opsi-script to 4.12.1.3

-- d.oertel <d.oertel@uib.de> Tue, 14 May 2019 15:00:00 + 0100

opsi-linux-client-agent (4.1.0.16-1) stable; urgency=medium

* update opsi-script to 4.12.1.2

-- d.oertel <d.oertel@uib.de> Thu, 02 May 2019 15:00:00 + 0100

opsi-linux-client-agent (4.1.0.15-1) experimental; urgency=medium

* Updated opsiclientd binaries.

-- Niko Wenselowski <n.wenselowski@uib.de> Tue, 09 Apr 2019 17:19:39 +0100

opsi-linux-client-agent (4.1.0.14-1) experimental; urgency=medium

* Updated opsiclientd binaries.

-- Niko Wenselowski <n.wenselowski@uib.de> Tue, 09 Apr 2019 11:13:10 +0100

opsi-linux-client-agent (4.1.0.13-1) stable; urgency=medium

* Added support for UCS 4.4

-- Mathias Radtke <m.radtke@uib.de> Tue, 02 Apr 2019 14:25:00 +0200

opsi-linux-client-agent (4.1.0.12-1) stable; urgency=medium

* added dependency to desktop-file-utils
* update opsi-deploy-client-agent (nw)

-- d.oertel <d.oertel@uib.de> Mon, 21 Jan 2019 15:00:00 + 0100

opsi-linux-client-agent (4.1.0.11-2) testing; urgency=medium

* updated opsi-deploy-client-agent to 4.1.0.1.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 10 Jan 2019 18:10:57 +0100

=============================================================================

ubuntu16-04 (4.1.0.1-3) testing; urgency=low

* kernel/initrd updated

-- Mathias Radtke <m.radtke@uib.de> Mon 20 May 2019 14:00:00 +0200

=============================================================================

debian9 (4.1.0.2-5) testing; urgency=low

* kernel/initrd update

-- Mathias Radtke <m.radtke@uib.de> Mon 29 Apr 2019 07:42:00 +0100

=============================================================================

win10-sysprep-app-update-blocker (4.1.0.0-1) stable; urgency=medium

* Changed name of product from opsi-wim-capture-helper to win10-sysprep-app-update-blocker

-- d.oertel <d.oertel@uib.de> Di, 21 May 2019 16:39:50 +0200

opsi-wim-capture-helper (4.1.0.0-1) stable; urgency=medium

* initial by opsi-setup-detector
* This stops apps from updating and windows store from auto installing apps.
* ; https://blogs.technet.microsoft.com/mni ... rep-happy/
* ; in comment from PeteBC

-- d.oertel <d.oertel@uib.de> Di, 16 Apr 2019 16:39:50 +0200

=============================================================================


windows (4.1.0.0-16) stable; urgency=low

* unattend: removed windows defender registry manipulation

-- Mathias Radtke <m.radtke@uib.de> Tue, 07 May 2019 14:00:00 +0200
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.
http://www.uib.de

SirTux
Beiträge: 266
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 05 Jun 2019, 17:35

Jetzt muß man also die Powershell unter Linux installieren ;)

Code: Alles auswählen

(283)     [6] [Jun 05 17:33:47:036] [opsi-configed] ShellCall Executing: /bin/bash -c "powershell.exe get-executionpolicy || exit $?"
(284)     [6] [Jun 05 17:33:47:137] [opsi-configed]   The value of the variable "$policyforps$" is now: "/bin/bash: powershell.exe: Befehl nicht gefunden"
(285)     [5] [Jun 05 17:33:47:238] [opsi-configed] ShellCall Executing: /bin/bash -c "powershell.exe set-executionpolicy RemoteSigned || exit $?"
(286)     [6] [Jun 05 17:33:47:338] [opsi-configed] ExitCode 127
(287)     [6] [Jun 05 17:33:47:339] [opsi-configed] Set  list = getOutStreamFromSection ('Execwith_checkadmin powershell.exe winst /sysnative')
(288)     [6] [Jun 05 17:33:47:340] [opsi-configed]   
(289)     [6] [Jun 05 17:33:47:341] [opsi-configed]   Execution of Execwith_checkadmin powershell.exe winst /sysnative
(290)     [3] [Jun 05 17:33:47:442] [opsi-configed]     Exception in RunCommandAndCaptureOut: Executable not found: "powershell.exe"
(291)     [3] [Jun 05 17:33:47:442] [opsi-configed]     Exception in CreateAndProcessScript: Handling Aktionsliste: Access violation

Benutzeravatar
ThomasT
uib-Team
Beiträge: 143
Registriert: 26 Jun 2013, 12:26

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon ThomasT » 05 Jun 2019, 18:29

Moin,

bitte einmal das Paket aus experimental testen, also dieses.
Kein Support per DM!
_________________________
opsi support - https://www.uib.de/
For productive opsi installations we recommend support contracts.

SirTux
Beiträge: 266
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 05 Jun 2019, 19:03

Danke, das ging ja schnell. Es funktioniert :)

SirTux
Beiträge: 266
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 06 Jun 2019, 10:36

Der neue Configed ist aber etwas buggy. "Prüfen, welche Clients verbunden sind" funktioniert nur, wenn ein Client ausgewählt ist. Sonst kommt folgende Fehlermeldung:

Code: Alles auswählen

Jun 06  10:32:01.564  2019 -- Opsi service error:  [BackendMissingDataError] Backend missing data error: No matching host ids found


Die Ausgabe ist aber auch sonst nicht unbedingt richtig. Es werden bei mir teilweise Clients als "an" angezeigt, die definitiv nicht an sind.

SirTux
Beiträge: 266
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 06 Jun 2019, 13:42

l-desktop 4.1.0.5-1 ; stable ; urgency=low

* Debian / Ubuntu: myspell has been replaced by hunspell.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 11 Apr 2019 18:22:25 +0100


Schön, aber das Paket heißt hunspell-de-de und nicht hunspell-de ;)

Code: Alles auswählen

(639)     [5] [Jun 06 13:40:18:624] [l-desktop]   Execution of: ShellInAnIcon_desktop_localization_libreoffice_debuntu
(640)     [7] [Jun 06 13:40:18:624] [l-desktop]     Save to file with encoding: system
(641)     [7] [Jun 06 13:40:18:625] [l-desktop]     Executing /bin/bash /tmp/_opsiscript_Kk30Zz32.cmd
(642)     [6] [Jun 06 13:40:20:139] [l-desktop]     ExitCode 100
(643)     [7] [Jun 06 13:40:20:139] [l-desktop]             
(644)     [7] [Jun 06 13:40:20:139] [l-desktop]             output:
(645)     [7] [Jun 06 13:40:20:139] [l-desktop]             --------------
(646)     [7] [Jun 06 13:40:20:139] [l-desktop]             + export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
(647)     [7] [Jun 06 13:40:20:139] [l-desktop]             + PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
(648)     [7] [Jun 06 13:40:20:139] [l-desktop]             + export DEBIAN_FRONTEND=noninteractive
(649)     [7] [Jun 06 13:40:20:139] [l-desktop]             + DEBIAN_FRONTEND=noninteractive
(650)     [7] [Jun 06 13:40:20:139] [l-desktop]             + apt-get --yes --force-yes install libreoffice-l10n-de libreoffice-help-de mythes-de hyphen-de hunspell-de
(651)     [7] [Jun 06 13:40:20:139] [l-desktop]             Paketlisten werden gelesen...
(652)     [7] [Jun 06 13:40:20:139] [l-desktop]             Abhängigkeitsbaum wird aufgebaut....
(653)     [7] [Jun 06 13:40:20:139] [l-desktop]             Statusinformationen werden eingelesen....
(654)     [7] [Jun 06 13:40:20:139] [l-desktop]             W: --force-yes ist veraltet, verwenden Sie stattdessen eine der Optionen, die mit --allow beginnen.
(655)     [7] [Jun 06 13:40:20:140] [l-desktop]             E: Paket hunspell-de kann nicht gefunden werden.
(656)     [7] [Jun 06 13:40:20:140] [l-desktop]             + exit 100
(657)     [7] [Jun 06 13:40:20:140] [l-desktop]     
(658)     [7] [Jun 06 13:40:20:141] [l-desktop]     The file: /tmp/_opsiscript_Kk30Zz32.cmd has been deleted
(659)     [6] [Jun 06 13:40:20:141] [l-desktop]       Search "/tmp/"
(660)     [6] [Jun 06 13:40:20:141] [l-desktop]       Search "/tmp/_opsiscript_*"
(661)     [6] [Jun 06 13:40:20:142] [l-desktop]     If
(662)     [7] [Jun 06 13:40:20:142] [l-desktop]     "0" = getLastExitCode   <<< result false
(663)     [6] [Jun 06 13:40:20:142] [l-desktop]     not("0" = getLastExitCode)   <<< result true
(664)     [6] [Jun 06 13:40:20:143] [l-desktop]   Then
(665)     [5] [Jun 06 13:40:20:146] [l-desktop]     message failed to install libreoffice localization packages
(666)     [2] [Jun 06 13:40:20:157] [l-desktop]     Error level set to fatal

Benutzeravatar
r.roeder
uib-Team
Beiträge: 446
Registriert: 02 Jul 2008, 10:08

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon r.roeder » 08 Jun 2019, 15:51

configed, "An"-Spalte:
Da hat es ein paar scheinbar minimale "Verbesserungen" gegeben, die sich dann auch noch ins Gehege kamen. Ich glaube, dass das Verhalten jetzt konsistent ist (aber tatsächlich etwas anders als früher, wo immer die Spalte komplett gebaut wurde, was aber zu Performanceproblemen führte; jetzt wird bei ausgewählten Clients nur deren Status abgefragt und angezeigt).
Der Expeimental-Link: http://download.uib.de/opsi4.1/experime ... 0.5-1.opsi
Danke für die Rückmeldung!
opsi support - uib gmbh
For productive opsi installations we recommend maintainance + support contracts which are the base of opsi development.


Wondering who's using opsi? Have a look at the opsi map: http://opsi.org/opsi-map/.

SirTux
Beiträge: 266
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 08 Jun 2019, 17:43

Ich finde es zumindest etwas ungewohnt, daß der configed den letzten Status bei den Clients wegschmeißt, die beim erneuten Abfragen nicht mehr ausgewählt sind. Die Anzeige ist aber jetzt richtig.

Benutzeravatar
r.roeder
uib-Team
Beiträge: 446
Registriert: 02 Jul 2008, 10:08

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon r.roeder » 08 Jun 2019, 20:37

Aber den Status von irgendwann vorher aufzuheben, finde ich auch nur verwirrend, daher wirft jede neue Abfrage erstmal den kompletten bisherigen Stand weg. Und nicht getestete Verbindungen werden auch nicht auf "nicht verbunden" gesetzt, was zuletzt auch der Fall war.
opsi support - uib gmbh
For productive opsi installations we recommend maintainance + support contracts which are the base of opsi development.


Wondering who's using opsi? Have a look at the opsi map: http://opsi.org/opsi-map/.

SirTux
Beiträge: 266
Registriert: 05 Feb 2011, 18:37

Re: Aktualisierungen für opsi 4.1 Stable & Testing

Beitragvon SirTux » 08 Jun 2019, 21:27

Deshalb sagte ich ungewohnt. So ganz genau sagen kann ich auch nicht, welches Verhalten ich letztendlich besser finde.

Kann man noch irgendwie alle Clients aller Depots gleichzeitig Abfragen?